Viewing Issue Advanced Details Jump to Notes ] [ View Source: nemesis.c ]
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
03538 Sound Minor Always 2009-11-19 04:08 2011-12-15 18:59
Tester Ace View Status Public Platform MAMEUI
Assigned To Fujix Resolution Fixed OS
Status [?] Resolved   Driver nemesis.c
Version 0.135 Fixed in Version 0.144u4 Build
Summary 03538: salamand, lifefrce, lifefrcej, salamandj: Music is too quiet in Salamander and Lifeforce
Description I couldn't help but notice that the music in Salamander and Life Force plays WAY too slowly compared to the original arcade board and the port in Salamander Deluxe Pack Plus for the PlayStation and Sega Saturn.

I've attached a recording of Poison of Snake from both Salamander in MAMEUI v0.135 and Salamander in Salamander Deluxe Pack Plus(PlayStation version) for comparison - first the MAME sound, then the Salamander Deluxe Pack Plus sound.

The music is also too silent in Salamander and Life Force, and adjusting the volume between the different sound chips doesn't really fix the problem, since some sound effects also come out too loud(the music is produced by the YM2151). Also, as you can tell by the recording, the Stereo in MAME is backwards; the notes that come out the left speaker comes out the right speaker and vice-versa.
Steps To Reproduce
Additional Information The music speed issue was moved to 03737.
The reverse stereo issue was moved to 04565.
Flags Verified with Original
Regression Version
Affected Sets / Systems salamand, lifefrce, lifefrcej, salamandj
Attached Files
mp3 file icon Poison of Snake - MAME and Salamander Deluxe Pack Plus.mp3 (2,836,242 bytes)  2009-11-19 04:08
ogg file icon PowerofAnger_OST.ogg (1,279,393 bytes)  2009-11-19 19:22

- Relationships
parent of 04565ResolvedKale salamand, lifefrce: Reversed Stereo 
related to 03737Confirmed salamand, lifefrce: Music speed is slow. 
related to 03738Confirmed salamand: In the attract demo play, voice samples are not muted briefly. 
related to 03919Confirmed salamand & clones, other Konami sets with VLM5030: VLM5030 sound is unfiltered 

-  Notes
User avatar (05177)
Fujix (Administrator)
2009-11-19 17:36

It is an old problem that MAME plays music way too slower than the arcade.

Probably we need an original recording to determine the SFX volume.
One thing I concern about is, as you mentioned, some SFX are played by YM-2151 and others are by K007232, but I don't know if the original has something special to control one of eight YM-2151 output volumes only for SFX, and MAME doesn't hook it up yet. IMO, it is unlikely.
User avatar (05181)
Fujix (Administrator)
2009-11-19 19:06
edited on: 2009-11-19 19:23

Confirmed speed and channel issues. I attached OSD music clip for reference.

Still asking for opinions on SFX volumes.

User avatar (05183)
Ace (Tester)
2009-11-19 20:03
edited on: 2009-11-19 20:05

I'm just saying it's too loud since the sound effects produced by the YM2151 drown out the music. Whenever a sound plays, the music is practically inaudible. I'm not sure if it's the same on an actual Salamander or Life Force cabinet, since I have no experience with the original arcade boards, but when music or sound effects don't seem to have a proper sound balance, it sounds bad to my ears. Anyone know if the volume balance between sound effects produced by the YM2151 and the music is correct in MAME?

User avatar (05515)
R. Belmont (Developer)
2010-01-16 23:33

I'd like to get a recording from a real PCB if possible. Console ports are never valid sources for bug reports.
User avatar (05555)
Ace (Tester)
2010-01-22 01:02
edited on: 2010-01-22 01:03

If I'd have had a real Salamander PCB, I'd record everything off that.

A little note: I noticed that the Japanese Life Force actually has better sound balance between music and sound effects, but in Salamander and the US Life Force, the music is drowned out by the sounds. Is that the way it should be or is one of them wrong?

Plus, if you listen to the Salamander OST, you can clearly tell the music is faster and the Stereo is reversed.

User avatar (05726)
gamestone (Tester)
2010-02-15 20:49
edited on: 2010-02-16 17:21

I have two Salamander boards (one Japanese and one UK, only the Japanese one works) so I can make a recording later this week but my machine is only wired for mono from the JAMMA connector, the stereo output comes from another output connector on the board and I have no cable for that connection.

I have a hires scan of the Japanese Operator's Manual on my website (Gradius Home World), which may have info you need as well as other Gradius related manual scans.

http://www.gamestone.co.uk/gradius/downloads_hi_res_scans.php

EDIT: I'm in the process of making the stereo loom so will try to record the stereo source.

One problem maybe the two pots for the different left and right volumes but I'll see how it goes in getting the balance right.

User avatar (05732)
Ace (Tester)
2010-02-16 23:25

Oh, hey GameStone. Please provide a recording of your Salamander arcade board. We'll forget about the reversed Stereo for now, I'd like to focus on the speed of the music and the balance between sound effects and music.
User avatar (05733)
Fujix (Administrator)
2010-02-17 02:55
edited on: 2010-02-17 03:22

That's really cool collection of Konamish games. I'm really enjoying it.

According to the page 14 of the manual, "(4) CN2/CN3" is "Stereo/Monaural Switching Connector". This may help recording.

BTW, I found some typos and mistakes of Jp texts in the hires scan page, here's fix: http://www.e2j.net/jptext.txt
Also I uploaded the latest version of original Japanese game descriptions with Kana readings for MAME which I maintain: http://www.e2j.net/jpdescriptions.txt
I hope they will help.

User avatar (05735)
gamestone (Tester)
2010-02-17 18:04

It was sunny when I got home today so I was inspired to sort this out today rather than the weekend.

After making the very dodgy cable at work from a CDROM audio cable (it fits the four pin stereo connector on the PCB) and a couple of phono connectors.

MONO and STEREO.

You move the jumper block from CN3 MONO to CN2 STEREO which then routes the audio to the CN5 connector rather than the JAMMA connector, you then connect the new cable to the CN5. Pin-outs included on page 19 of the Operator Manual (and in the arcade board rar below).

I have checked and the Left and Right channels are the right way round in the recording, I tried to get the balance more or less the same between the left and right channel (two pots on the PCB), which was not that easy as the pots are not the most accurate I've seen.

Stage 1 and 2, I died on the Tetren

One thing I must say the sound FX are quite a bit louder than the music.

Some pictures of the setup
http://www.gamestone.co.uk/mame/salamander_arcade_board.rar

Original stereo wav versions - 16meg & 32meg
http://www.gamestone.co.uk/mame/salamander_attract_mode.rar
http://www.gamestone.co.uk/mame/salamander_stage_1_and_2.rar

mp3 VBR 320kbps version - 3.7meg & 8.5meg
http://www.gamestone.co.uk/mame/salamander_attract_mode.mp3
http://www.gamestone.co.uk/mame/salamander_stage_1_and_2.mp3

I've added the original wav versions just in case you need the uncompressed file to view the waveforms.

Cheers for the typos text, I'll be changing them soon as that section is going to have a revamp anyway.
User avatar (05736)
Fujix (Administrator)
2010-02-17 19:44
edited on: 2010-02-17 19:46

Thank you for important recordings.

Reverse stereo channel in MAME has been proved to be a bug.

I estimated the correct volume proportion with a wav analyzer based on RMS and peak levels.
To simply reproduce the wav recordings,
- YM2151 is 205% of current MAME volume (1.00 x 205% = 2.05)
- K007232 is 180% of MAME (0.10 x 180% = 0.18)
- VLM5030 has not small difference from the original, they should be 320 - 350% for convenience (0.60 x 335% = 1.89)

Normalized values:
- YM2151: 1.50
- K007232: 0.14
- VLM5030: 1.47

User avatar (05737)
Ace (Tester)
2010-02-18 01:22

After hearing that, I'd like to touch on some other sound issues:

-There appears to be some sort of filtering on the VLM5030 that MAME doesn't emulate, as the speech comes out "cleaner" in MAME than on the original arcade board
-Some notes from the YM2151 seem to come out wrong compared to the original arcade board.

It's strange how Salamander's sound effects are so loud when the Japanese Life Force has better balance between the music and sound effects. Is that because the ROM is programmed differently or is it a bug in MAME? I can tell you that the US Life Force sounds like Salamander in MAME, but the Japanese Life Force has quieter sound effects, making for a better balance between sound effects and music.
User avatar (05739)
Fujix (Administrator)
2010-02-18 06:22
edited on: 2010-02-18 06:31

Ace, if you find something new, please make a new bug report thread.
It is not a good idea to put everything into one entry.

And for the Life Force issue, the US version of Life Force is a simple modification of Salamander for the US market.
The Japanese version of Life Force is a sequel of Salamander with a lot of updates including graphic mods for US LF.
But for the sound volume, we can't do anything until someone makes the original recordings available JUST AS GameStone kindly did.
Regarding sound balance issue, I won't accept any kind of possibility or guessing without original reference, it is already mentioned in the Rules page at http://mametesters.org/rules.html

User avatar (07969)
Fujix (Administrator)
2011-12-15 18:59
edited on: 2011-12-15 19:01

Updated the volume proportion based on the PCB recordings in line with the VLM5030 update, although VLM5030 is still missing a low pass filter.